## h8mail 2.5.6

=== Makefile ===
.PHONY: clean clean-test clean-pyc clean-build docs help
.DEFAULT_GOAL := help

define BROWSER_PYSCRIPT
import os, webbrowser, sys

try:
	from urllib import pathname2url
except:
	from urllib.request import pathname2url

webbrowser.open("file://" + pathname2url(os.path.abspath(sys.argv[1])))
endef
export BROWSER_PYSCRIPT

define PRINT_HELP_PYSCRIPT
import re, sys

for line in sys.stdin:
	match = re.match(r'^([a-zA-Z_-]+):.*?## (.*)$$', line)
	if match:
		target, help = match.groups()
		print("%-20s %s" % (target, help))
endef
export PRINT_HELP_PYSCRIPT

BROWSER := 3 -c "$$BROWSER_PYSCRIPT"

help:
	@python3 -c "$$PRINT_HELP_PYSCRIPT" < $(MAKEFILE_LIST)

clean: clean-build clean-pyc clean-test ## remove all build, test, coverage and Python artifacts

clean-build: ## remove build artifacts
	rm -fr build/
	rm -fr dist/
	rm -fr .eggs/
	find . -name '*.egg-info' -exec rm -fr {} +
	find . -name '*.egg' -exec rm -f {} +

clean-pyc: ## remove Python file artifacts
	find . -name '*.pyc' -exec rm -f {} +
	find . -name '*.pyo' -exec rm -f {} +
	find . -name '*~' -exec rm -f {} +
	find . -name '__pycache__' -exec rm -fr {} +

clean-test: ## remove test and coverage artifacts
	rm -fr .tox/
	rm -f .coverage
	rm -fr htmlcov/
	rm -fr .pytest_cache

lint: ## check style with flake8
	black h8mail tests

test: ## run tests quickly with the default Python
	python3 setup.py test


coverage: ## check code coverage quickly with the default Python
	coverage run --source h8mail setup.py test
	coverage report -m
	coverage html
	$(BROWSER) htmlcov/index.html

release: dist ## package and upload a release
	twine upload dist/*

dist: clean ## builds source and wheel package
	python3 setup.py sdist
	python3 setup.py bdist_wheel
	ls -l dist

install: clean ## install the package to the active Python's site-packages
	python3 setup.py install

=== debian/changelog ===
h8mail (2.5.6-0kali1) kali-dev; urgency=medium

  * Initial release (see 6467)

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 14 Nov 2023 14:20:02 +0100

=== debian/control ===
Source: h8mail
Section: misc
Priority: optional
Maintainer: Kali Developers <devel@kali.org>
Uploaders: Sophie Brun <sophie@offensive-security.com>
Build-Depends: debhelper-compat (= 13),
               dh-sequence-python3,
               python3-all,
               python3-setuptools,
               python3-requests
Standards-Version: 4.6.2
Homepage: https://github.com/khast3x/h8mail
Vcs-Browser: https://gitlab.com/kalilinux/packages/h8mail
Vcs-Git: https://gitlab.com/kalilinux/packages/h8mail.git
Rules-Requires-Root: no
Testsuite: autopkgtest-pkg-python

Package: h8mail
Architecture: all
Multi-Arch: foreign
Depends: ${python3:Depends},
         ${misc:Depends},
Description: email open source intelligence and breach hunting tool
 This package contains an email OSINT and breach hunting tool using different
 breach and reconnaissance services, or local breaches such as Troy Hunt's
 "Collection1" and the infamous "Breach Compilation" torrent.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE = 1
export PYBUILD_NAME=h8mail
export PYBUILD_TEST_ARGS=-k-test-003_url
%:
	dh $@ --buildsystem=pybuild

=== debian/tests/control ===
Test-Command: h8mail --help
Restrictions: superficial

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(@ANY_VERSION@@ARCHIVE_EXT@)%@PACKAGE@-$1%,\
      uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre-release|dev|beta|alpha)\d*)$/$1~$2/" \
    https://github.com/khast3x/h8mail/tags \
    (?:.*?/)v?@ANY_VERSION@@ARCHIVE_EXT@
